summaryrefslogtreecommitdiff
path: root/pcr/nexuiz
diff options
context:
space:
mode:
authorcoadde [Márcio Alexandre Silva Delgado] <coadde@parabola.nu>2015-05-12 06:14:30 -0300
committercoadde [Márcio Alexandre Silva Delgado] <coadde@parabola.nu>2015-05-12 06:14:30 -0300
commite806fdd6fdcab100f7685dadd2b4dca04675b3d0 (patch)
tree30c3cd4c3705cf774a084c3bcae4fd12f7555c12 /pcr/nexuiz
parent345b8c4070212e489cfc754155bc8dfea4db17b3 (diff)
downloadabslibre-e806fdd6fdcab100f7685dadd2b4dca04675b3d0.tar.gz
abslibre-e806fdd6fdcab100f7685dadd2b4dca04675b3d0.tar.bz2
abslibre-e806fdd6fdcab100f7685dadd2b4dca04675b3d0.zip
moved blender-addon-ogre,cambozola,collada-dom,mednafen-server,mitsuba,nexuiz,nexuiz-data,noip,openssh-knock,renpy,supermodel,systemd-knock,tupi,xcftools,yafaray,zoneminder to [pcr] repo
Diffstat (limited to 'pcr/nexuiz')
-rw-r--r--pcr/nexuiz1
-rw-r--r--pcr/nexuiz/PKGBUILD59
-rw-r--r--pcr/nexuiz/libpng14.patch39
-rw-r--r--pcr/nexuiz/nexuiz-dedicated3
-rw-r--r--pcr/nexuiz/nexuiz-glx3
-rw-r--r--pcr/nexuiz/nexuiz-glx.desktop11
-rw-r--r--pcr/nexuiz/nexuiz-sdl3
-rw-r--r--pcr/nexuiz/nexuiz-sdl.desktop11
-rw-r--r--pcr/nexuiz/nexuiz.pngbin0 -> 4603 bytes
9 files changed, 129 insertions, 1 deletions
diff --git a/pcr/nexuiz b/pcr/nexuiz
deleted file mode 100644
index 4eb47d013..000000000
--- a/pcr/nexuiz
+++ /dev/null
@@ -1 +0,0 @@
-moved to [ssh://git@projects.parabola.nu/~git/pcr.git/pcr] git repo
diff --git a/pcr/nexuiz/PKGBUILD b/pcr/nexuiz/PKGBUILD
new file mode 100644
index 000000000..0d5cd1afc
--- /dev/null
+++ b/pcr/nexuiz/PKGBUILD
@@ -0,0 +1,59 @@
+# Maintainer (Arch): Sven-Hendrik Haase <sh@lutzhaase.com>
+# Contributor (Arch): Xyne
+# Contributor (Arch): Rick Chen (stuffcorpse)
+# Contributor (Arch): Jaroslaw Swierczynski <swiergot@aur.archlinux.org>
+# Contributor (Arch): Roman Kyrylych <Roman.Kyrylych@gmail.com>
+# Contributor (Arch): Camille Moncelier <pix@devlife.org>
+
+pkgname=nexuiz
+pkgver=2.5.2
+_zipver=252
+pkgrel=3.1
+arch=('i686' 'x86_64' 'mips64el')
+pkgdesc="A free software first person shooter"
+url="http://www.alientrap.org/games/nexuiz"
+license=("GPL")
+depends=('alsa-lib' 'curl' 'libjpeg>=8' 'libmodplug' 'libvorbis' 'libxpm' 'libxxf86dga' 'libxxf86vm' 'sdl' 'nexuiz-data' 'libpng>=1.4.0')
+makedepends=('mesa')
+source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${_zipver}.zip \
+ nexuiz-dedicated nexuiz-glx nexuiz-sdl nexuiz-glx.desktop \
+ nexuiz-sdl.desktop nexuiz.png libpng14.patch)
+md5sums=('d750bc328e58df8492f8d88bdcf818cb'
+ '19bfaa6e891d3309783e8366db485474'
+ '4d0ee9282a6fe153f82f7797decfd585'
+ '3e5ea741e8d55df8e7691c797c81ffa7'
+ '310f0577c39391f2d2f17cea446ce269'
+ '4561d3c5be4801399af515faf82ebcba'
+ '442fb62670bbe0a1b5370461052051a3'
+ '60964348924ff777a92dbb171a86a1ed')
+
+build() {
+ _nexdir="$pkgdir/opt/nexuiz"
+ _enginesource_date="20091001"
+ mkdir -p "$_nexdir" || return 1
+
+ cd $srcdir/Nexuiz
+ bsdtar -x -f sources/enginesource${_enginesource_date}.zip || return 1
+ cd darkplaces
+ patch -Np1 -i ${srcdir}/libpng14.patch || return 1
+ # patch -p1 < "$srcdir/nexuiz-libjpeg-fix.patch" || return 1
+
+ # here's a working kludge to build all three binaries at once but don't use it ;)
+ # make CPUOPTIMIZATIONS="${CFLAGS}" nexuiz || make CPUOPTIMIZATIONS="${CFLAGS}" nexuiz || return 1
+
+ # build the binaries separately instead to avoid truncated files
+ make CPUOPTIMIZATIONS="${CFLAGS}" DP_LINK_TO_LIBJPEG=1 cl-nexuiz || return 1
+ make CPUOPTIMIZATIONS="${CFLAGS}" DP_LINK_TO_LIBJPEG=1 sdl-nexuiz || return 1
+ make CPUOPTIMIZATIONS="${CFLAGS}" DP_LINK_TO_LIBJPEG=1 sv-nexuiz || return 1
+}
+
+package() {
+ cd $srcdir/Nexuiz/darkplaces
+ # install the compiled binaries
+ install -Dm755 nexuiz-glx nexuiz-sdl nexuiz-dedicated -t $_nexdir || return 1
+
+ install -dm755 $pkgdir/usr/{bin,share/applications} || return 1
+ install -Dm755 $srcdir/nexuiz-{glx,sdl,dedicated} -t $pkgdir/usr/bin || return 1
+ install -Dm644 $srcdir/*.desktop -t $pkgdir/usr/share/applications || return 1
+ install -Dm644 $srcdir/nexuiz.png $pkgdir/usr/share/pixmaps/nexuiz.png || return 1
+}
diff --git a/pcr/nexuiz/libpng14.patch b/pcr/nexuiz/libpng14.patch
new file mode 100644
index 000000000..d6ce5ea76
--- /dev/null
+++ b/pcr/nexuiz/libpng14.patch
@@ -0,0 +1,39 @@
+diff -Nur darkplaces.old/image_png.c darkplaces/image_png.c
+--- darkplaces.old/image_png.c 2009-09-15 06:08:02.000000000 +0300
++++ darkplaces/image_png.c 2010-01-28 01:23:24.000000000 +0200
+@@ -36,7 +36,7 @@
+ static void* (*qpng_create_info_struct) (void*);
+ static void (*qpng_read_info) (void*, void*);
+ static void (*qpng_set_expand) (void*);
+-static void (*qpng_set_gray_1_2_4_to_8) (void*);
++static void (*qpng_set_expand_gray_1_2_4_to_8) (void*);
+ static void (*qpng_set_palette_to_rgb) (void*);
+ static void (*qpng_set_tRNS_to_alpha) (void*);
+ static void (*qpng_set_gray_to_rgb) (void*);
+@@ -61,7 +61,7 @@
+ {"png_create_info_struct", (void **) &qpng_create_info_struct},
+ {"png_read_info", (void **) &qpng_read_info},
+ {"png_set_expand", (void **) &qpng_set_expand},
+- {"png_set_gray_1_2_4_to_8", (void **) &qpng_set_gray_1_2_4_to_8},
++ {"png_set_expand_gray_1_2_4_to_8", (void **) &qpng_set_expand_gray_1_2_4_to_8},
+ {"png_set_palette_to_rgb", (void **) &qpng_set_palette_to_rgb},
+ {"png_set_tRNS_to_alpha", (void **) &qpng_set_tRNS_to_alpha},
+ {"png_set_gray_to_rgb", (void **) &qpng_set_gray_to_rgb},
+@@ -110,7 +110,7 @@
+ #elif defined(MACOSX)
+ "libpng12.0.dylib",
+ #else
+- "libpng12.so.0",
++ "libpng14.so.0",
+ "libpng.so", // FreeBSD
+ #endif
+ NULL
+@@ -311,7 +311,7 @@
+ {
+ qpng_set_gray_to_rgb(png);
+ if (my_png.BitDepth < 8)
+- qpng_set_gray_1_2_4_to_8(png);
++ qpng_set_expand_gray_1_2_4_to_8(png);
+ }
+
+ if (qpng_get_valid(png, pnginfo, PNG_INFO_tRNS))
diff --git a/pcr/nexuiz/nexuiz-dedicated b/pcr/nexuiz/nexuiz-dedicated
new file mode 100644
index 000000000..bf517cce7
--- /dev/null
+++ b/pcr/nexuiz/nexuiz-dedicated
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /opt/nexuiz
+./nexuiz-dedicated $@
diff --git a/pcr/nexuiz/nexuiz-glx b/pcr/nexuiz/nexuiz-glx
new file mode 100644
index 000000000..5fad4db07
--- /dev/null
+++ b/pcr/nexuiz/nexuiz-glx
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /opt/nexuiz
+./nexuiz-glx $@
diff --git a/pcr/nexuiz/nexuiz-glx.desktop b/pcr/nexuiz/nexuiz-glx.desktop
new file mode 100644
index 000000000..8808c16db
--- /dev/null
+++ b/pcr/nexuiz/nexuiz-glx.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Version=2.5
+Encoding=UTF-8
+Name=Nexuiz (GLX)
+Comment=a free open-source first person shooter
+Icon=/usr/share/pixmaps/nexuiz.png
+Exec=/usr/bin/nexuiz-glx
+Terminal=false
+StartupNotify=false
+Categories=Game;
diff --git a/pcr/nexuiz/nexuiz-sdl b/pcr/nexuiz/nexuiz-sdl
new file mode 100644
index 000000000..36b6d5cc3
--- /dev/null
+++ b/pcr/nexuiz/nexuiz-sdl
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /opt/nexuiz
+./nexuiz-sdl $@
diff --git a/pcr/nexuiz/nexuiz-sdl.desktop b/pcr/nexuiz/nexuiz-sdl.desktop
new file mode 100644
index 000000000..019970e61
--- /dev/null
+++ b/pcr/nexuiz/nexuiz-sdl.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Version=2.5
+Encoding=UTF-8
+Name=Nexuiz (SDL)
+Comment=a free open-source first person shooter
+Icon=/usr/share/pixmaps/nexuiz.png
+Exec=/usr/bin/nexuiz-sdl
+Terminal=false
+StartupNotify=false
+Categories=Game;
diff --git a/pcr/nexuiz/nexuiz.png b/pcr/nexuiz/nexuiz.png
new file mode 100644
index 000000000..a0ec8b3d4
--- /dev/null
+++ b/pcr/nexuiz/nexuiz.png
Binary files differ